import { jsx } from "react/jsx-runtime";
import { HardHatIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HardHat = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "HardHat", ...props, children: /* @__PURE__ */ jsx(HardHatIcon, { weight: variant }) });
  }
);
HardHat.displayName = "HardHat";
Object.assign(HardHat, { isGdsIcon: true });
export {
  HardHat
};
